<?php

/**
 * Title: Current User Avatar Dropdown
 * Slug: ncmaz-fse/current-user-avatar-dropdown
 * Categories: dropdown, user
 * Keywords: dropdown, user
 * Description: Current user avatar dropdown with links to account, wishlist, reading list, and help.
 */
?>

<?php if (defined('NCMAZ_FSE_CORE_VERSION')): ?>

    <!-- wp:group {"metadata":{"name":"Current User Avatar Dropdown"},"style":{"spacing":{"blockGap":"0"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
    <div class="wp-block-group"><!-- wp:ncmfse/dropdown-menu {"menuType":"popover","metadata":{"name":"Logged In User Dropdown"},"blockVisibility":{"controlSets":[{"id":1,"enable":true,"controls":{"userRole":{"visibilityByRole":"logged-in"}}}]}} -->
        <!-- wp:ncmfse/dropdown-menu-trigger -->
        <!-- wp:avatar {"size":30} /-->
        <!-- /wp:ncmfse/dropdown-menu-trigger -->

        <!-- wp:ncmfse/dropdown-menu-content {"minWidth":"220px","align":"right","style":{"spacing":{"blockGap":"1px","margin":{"top":"var:preset|spacing|3"}}}} -->
        <!-- wp:ncmfse/dropdown-menu-item {"style":{"spacing":{"blockGap":"var:preset|spacing|4"}},"layout":{"type":"flex","flexWrap":"nowrap","justifyContent":"left"}} -->
        <!-- wp:avatar {"size":26} /-->

        <!-- wp:ncmfse/current-user-name {"isLink":true,"style":{"layout":{"selfStretch":"fill","flexSize":null}}} /-->
        <!-- /wp:ncmfse/dropdown-menu-item -->

        <!-- wp:ncmfse/dropdown-menu-item {"href":"/my-account","style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M6.5 17.5L6.5 14.5M11.5 17.5L11.5 8.5M16.5 17.5V13.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                    <path d="M21.5 5.5C21.5 7.15685 20.1569 8.5 18.5 8.5C16.8431 8.5 15.5 7.15685 15.5 5.5C15.5 3.84315 16.8431 2.5 18.5 2.5C20.1569 2.5 21.5 3.84315 21.5 5.5Z" stroke="currentColor" stroke-width="1.5"></path>
                    <path d="M21.4955 11C21.4955 11 21.5 11.3395 21.5 12C21.5 16.4784 21.5 18.7175 20.1088 20.1088C18.7175 21.5 16.4783 21.5 12 21.5C7.52166 21.5 5.28249 21.5 3.89124 20.1088C2.5 18.7175 2.5 16.4784 2.5 12C2.5 7.52169 2.5 5.28252 3.89124 3.89127C5.28249 2.50003 7.52166 2.50003 12 2.50003L13 2.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph -->
        <p>My account</p>
        <!-- /wp:paragraph -->
        <!-- /wp:ncmfse/dropdown-menu-item -->

        <!-- wp:ncmfse/dropdown-menu-item {"href":"/wishlist","style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M19.4626 3.99415C16.7809 2.34923 14.4404 3.01211 13.0344 4.06801C12.4578 4.50096 12.1696 4.71743 12 4.71743C11.8304 4.71743 11.5422 4.50096 10.9656 4.06801C9.55962 3.01211 7.21909 2.34923 4.53744 3.99415C1.01807 6.15294 0.221721 13.2749 8.33953 19.2834C9.88572 20.4278 10.6588 21 12 21C13.3412 21 14.1143 20.4278 15.6605 19.2834C23.7783 13.2749 22.9819 6.15294 19.4626 3.99415Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph -->
        <p>Wishlist</p>
        <!-- /wp:paragraph -->
        <!-- /wp:ncmfse/dropdown-menu-item -->

        <!-- wp:ncmfse/dropdown-menu-item {"href":"/reading-list","style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M16.9017 6.12874C18 7.25748 18 9.07416 18 12.7075V14.2925C18 17.9258 18 19.7425 16.9017 20.8713C15.8033 22 14.0355 22 10.5 22C6.96447 22 5.1967 22 4.09835 20.8713C3 19.7425 3 17.9258 3 14.2925V12.7075C3 9.07416 3 7.25748 4.09835 6.12874C5.1967 5 6.96447 5 10.5 5C14.0355 5 15.8033 5 16.9017 6.12874Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M7.5 5.5V10.3693C7.5 11.3046 7.5 11.7722 7.78982 11.9396C8.35105 12.2638 9.4038 11.1823 9.90375 10.8567C10.1937 10.6678 10.3387 10.5734 10.5 10.5734C10.6613 10.5734 10.8063 10.6678 11.0962 10.8567C11.5962 11.1823 12.6489 12.2638 13.2102 11.9396C13.5 11.7722 13.5 11.3046 13.5 10.3693V5.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M9 2H11C15.714 2 18.0711 2 19.5355 3.46447C21 4.92893 21 7.28595 21 12V18" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph -->
        <p>Reading list</p>
        <!-- /wp:paragraph -->
        <!-- /wp:ncmfse/dropdown-menu-item -->

        <!-- wp:separator {"style":{"spacing":{"margin":{"top":"var:preset|spacing|2-5","bottom":"var:preset|spacing|2-5"}}}} -->
        <hr class="wp-block-separator has-alpha-channel-opacity" style="margin-top:var(--wp--preset--spacing--2-5);margin-bottom:var(--wp--preset--spacing--2-5)" />
        <!-- /wp:separator -->

        <!-- wp:ncmfse/dropdown-menu-item {"href":"#","style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M19 15.9971L18.6938 17.3197C18.3654 18.7379 18.2012 19.4471 17.6938 19.7938C17.1864 20.1406 16.5226 19.9972 15.195 19.7105L14.4288 19.545C13.7218 19.3924 13.3683 19.316 13.0668 19.1179C12.7654 18.9198 12.5402 18.6158 12.0898 18.0079L11 16.537" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                    <path d="M2 10.9971C2 13.9971 10 16.9971 15 16.9971C19 16.9971 22 14.3108 22 10.9971C22 7.68336 19 4.99707 15 4.99707C10 4.99707 2 7.99707 2 10.9971Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M2 10.9971H5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                    <path d="M7.5 5.99719C6.74487 5.15027 5.54147 3.85502 4.36683 4.0131C4.02163 4.05955 3.68109 4.25052 3 4.63246L4 7.99712" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M7.5 15.9969C6.74487 16.8439 5.54147 18.1391 4.36683 17.981C4.02163 17.9346 3.68109 17.7436 3 17.3617L4 13.997" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph -->
        <p>Helps</p>
        <!-- /wp:paragraph -->
        <!-- /wp:ncmfse/dropdown-menu-item -->

        <!-- wp:ncmfse/dropdown-menu-item {"style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M14 3.09502C13.543 3.03241 13.0755 3 12.6 3C7.29807 3 3 7.02944 3 12C3 16.9706 7.29807 21 12.6 21C13.0755 21 13.543 20.9676 14 20.905" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                    <path d="M21 12L11 12M21 12C21 11.2998 19.0057 9.99153 18.5 9.5M21 12C21 12.7002 19.0057 14.0085 18.5 14.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:loginout {"style":{"layout":{"selfStretch":"fill","flexSize":null}}} /-->
        <!-- /wp:ncmfse/dropdown-menu-item -->
        <!-- /wp:ncmfse/dropdown-menu-content -->
        <!-- /wp:ncmfse/dropdown-menu -->

        <!-- wp:ncmfse/dropdown-menu {"menuType":"popover","metadata":{"name":"Logged Out User Dropdown"},"blockVisibility":{"controlSets":[{"id":1,"enable":true,"controls":{"userRole":{"visibilityByRole":"logged-out"}}}]}} -->
        <!-- wp:ncmfse/dropdown-menu-trigger -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"28px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:28px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <circle cx="12" cy="12" r="10" stroke="currentColor" stroke-width="1.5"></circle>
                    <path d="M7.5 17C9.8317 14.5578 14.1432 14.4428 16.5 17M14.4951 9.5C14.4951 10.8807 13.3742 12 11.9915 12C10.6089 12 9.48797 10.8807 9.48797 9.5C9.48797 8.11929 10.6089 7 11.9915 7C13.3742 7 14.4951 8.11929 14.4951 9.5Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->
        <!-- /wp:ncmfse/dropdown-menu-trigger -->

        <!-- wp:ncmfse/dropdown-menu-content {"minWidth":"220px","align":"right","style":{"spacing":{"blockGap":"1px","margin":{"top":"var:preset|spacing|3"}}}} -->
        <!-- wp:ncmfse/dropdown-menu-item {"href":"/my-account","style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M18 12C18 8.68628 15.3137 6 12 6C8.68628 6 6 8.68628 6 12C6 15.3136 7 17.5 8.99985 20" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M15 21C9.5 17.5 9 13.6568 9 12C9 10.3431 10.3431 9 12 9C13.6569 9 15 10.3431 15 12C15 13.6569 16.3431 15 18 15C19.6569 15 21 13.6569 21 12C21 7.02942 16.9706 3 12 3C7.02942 3 3 7.02942 3 12C3 12.6874 3.07707 13.3568 3.22303 14" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M12 12C12.5 17 17.5 19 17.5 19" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph -->
        <p>Login</p>
        <!-- /wp:paragraph -->
        <!-- /wp:ncmfse/dropdown-menu-item -->

        <!-- wp:ncmfse/dropdown-menu-item {"href":"/my-account","style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M5.18007 15.2964C3.92249 16.0335 0.625213 17.5386 2.63348 19.422C3.6145 20.342 4.7071 21 6.08077 21H13.9192C15.2929 21 16.3855 20.342 17.3665 19.422C19.3748 17.5386 16.0775 16.0335 14.8199 15.2964C11.8709 13.5679 8.12906 13.5679 5.18007 15.2964Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M14 7C14 9.20914 12.2091 11 10 11C7.79086 11 6 9.20914 6 7C6 4.79086 7.79086 3 10 3C12.2091 3 14 4.79086 14 7Z" stroke="currentColor" stroke-width="1.5"></path>
                    <path d="M19.5 4V9M22 6.5L17 6.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph -->
        <p>Sign up</p>
        <!-- /wp:paragraph -->
        <!-- /wp:ncmfse/dropdown-menu-item -->

        <!-- wp:ncmfse/dropdown-menu-item {"href":"/wishlist","style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M19.4626 3.99415C16.7809 2.34923 14.4404 3.01211 13.0344 4.06801C12.4578 4.50096 12.1696 4.71743 12 4.71743C11.8304 4.71743 11.5422 4.50096 10.9656 4.06801C9.55962 3.01211 7.21909 2.34923 4.53744 3.99415C1.01807 6.15294 0.221721 13.2749 8.33953 19.2834C9.88572 20.4278 10.6588 21 12 21C13.3412 21 14.1143 20.4278 15.6605 19.2834C23.7783 13.2749 22.9819 6.15294 19.4626 3.99415Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph -->
        <p>Wishlist</p>
        <!-- /wp:paragraph -->
        <!-- /wp:ncmfse/dropdown-menu-item -->

        <!-- wp:ncmfse/dropdown-menu-item {"href":"/reading-list","style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M16.9017 6.12874C18 7.25748 18 9.07416 18 12.7075V14.2925C18 17.9258 18 19.7425 16.9017 20.8713C15.8033 22 14.0355 22 10.5 22C6.96447 22 5.1967 22 4.09835 20.8713C3 19.7425 3 17.9258 3 14.2925V12.7075C3 9.07416 3 7.25748 4.09835 6.12874C5.1967 5 6.96447 5 10.5 5C14.0355 5 15.8033 5 16.9017 6.12874Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M7.5 5.5V10.3693C7.5 11.3046 7.5 11.7722 7.78982 11.9396C8.35105 12.2638 9.4038 11.1823 9.90375 10.8567C10.1937 10.6678 10.3387 10.5734 10.5 10.5734C10.6613 10.5734 10.8063 10.6678 11.0962 10.8567C11.5962 11.1823 12.6489 12.2638 13.2102 11.9396C13.5 11.7722 13.5 11.3046 13.5 10.3693V5.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M9 2H11C15.714 2 18.0711 2 19.5355 3.46447C21 4.92893 21 7.28595 21 12V18" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph -->
        <p>Reading list</p>
        <!-- /wp:paragraph -->
        <!-- /wp:ncmfse/dropdown-menu-item -->

        <!-- wp:separator {"style":{"spacing":{"margin":{"top":"var:preset|spacing|2-5","bottom":"var:preset|spacing|2-5"}}}} -->
        <hr class="wp-block-separator has-alpha-channel-opacity" style="margin-top:var(--wp--preset--spacing--2-5);margin-bottom:var(--wp--preset--spacing--2-5)" />
        <!-- /wp:separator -->

        <!-- wp:ncmfse/dropdown-menu-item {"href":"#","style":{"spacing":{"blockGap":"var:preset|spacing|4"}}} -->
        <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color" style="color:hsl(215 13.8% 34.1%);width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M19 15.9971L18.6938 17.3197C18.3654 18.7379 18.2012 19.4471 17.6938 19.7938C17.1864 20.1406 16.5226 19.9972 15.195 19.7105L14.4288 19.545C13.7218 19.3924 13.3683 19.316 13.0668 19.1179C12.7654 18.9198 12.5402 18.6158 12.0898 18.0079L11 16.537" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                    <path d="M2 10.9971C2 13.9971 10 16.9971 15 16.9971C19 16.9971 22 14.3108 22 10.9971C22 7.68336 19 4.99707 15 4.99707C10 4.99707 2 7.99707 2 10.9971Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M2 10.9971H5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path>
                    <path d="M7.5 5.99719C6.74487 5.15027 5.54147 3.85502 4.36683 4.0131C4.02163 4.05955 3.68109 4.25052 3 4.63246L4 7.99712" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M7.5 15.9969C6.74487 16.8439 5.54147 18.1391 4.36683 17.981C4.02163 17.9346 3.68109 17.7436 3 17.3617L4 13.997" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph -->
        <p>Helps</p>
        <!-- /wp:paragraph -->
        <!-- /wp:ncmfse/dropdown-menu-item -->
        <!-- /wp:ncmfse/dropdown-menu-content -->
        <!-- /wp:ncmfse/dropdown-menu -->
    </div>
    <!-- /wp:group -->

<?php endif; ?>