<?php

/**
 * Title: Dropdown Filter Search page
 * Slug: ncmaz-fse/dropdown-filter-search-page
 * Categories: filter, dropdown
 * Keywords: filter, dropdown
 * Description: A dropdown filter for filtering posts.
 */
?>

<?php if (defined('NCMAZ_FSE_CORE_VERSION')): ?>

    <!-- wp:ncmfse/dropdown-menu {"metadata":{"name":"Dropdown filter"}} -->
    <!-- wp:ncmfse/dropdown-menu-trigger -->
    <!-- wp:group {"metadata":{"name":"Trigger button"},"className":"button-outline","style":{"spacing":{"padding":{"top":"var:preset|spacing|3-5","bottom":"var:preset|spacing|3-5","left":"var:preset|spacing|5","right":"var:preset|spacing|5"},"blockGap":"var:preset|spacing|2-5"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
    <div
        class="wp-block-group button-outline"
        style="
        padding-top: var(--wp--preset--spacing--3-5);
        padding-right: var(--wp--preset--spacing--5);
        padding-bottom: var(--wp--preset--spacing--3-5);
        padding-left: var(--wp--preset--spacing--5);
        ">
        <!-- wp:outermost/icon-block {"iconName":"","width":"24px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container" style="width: 24px">
                <svg
                    xmlns="http://www.w3.org/2000/svg"
                    viewBox="0 0 24 24"
                    width="24"
                    height="24"
                    color="#000000"
                    fill="none">
                    <path
                        d="M15 19L15 6.65856C15 5.65277 15 5.14987 15.3087 5.02472C15.6173 4.89956 15.9806 5.25517 16.7071 5.96637L19 8.21091"
                        stroke="currentColor"
                        stroke-width="1.5"
                        stroke-linecap="round"
                        stroke-linejoin="round"></path>
                    <path
                        d="M9 5L9 17.3414C9 18.3472 9 18.8501 8.69134 18.9753C8.38268 19.1004 8.01942 18.7448 7.29289 18.0336L5 15.7891"
                        stroke="currentColor"
                        stroke-width="1.5"
                        stroke-linecap="round"
                        stroke-linejoin="round"></path>
                </svg>
            </div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"500"}},"fontSize":"sm"} -->
        <p
            class="has-sm-font-size"
            style="font-style: normal; font-weight: 500">
            <?php _e('Order by', 'ncmaz-fse') ?>
        </p>
        <!-- /wp:paragraph -->

        <!-- wp:outermost/icon-block {"iconName":"","width":"16px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container" style="width: 16px">
                <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="size-6">
                    <path
                        stroke-linecap="round"
                        stroke-linejoin="round"
                        d="m19.5 8.25-7.5 7.5-7.5-7.5"></path>
                </svg>
            </div>
        </div>
        <!-- /wp:outermost/icon-block -->
    </div>
    <!-- /wp:group -->
    <!-- /wp:ncmfse/dropdown-menu-trigger -->

    <!-- wp:ncmfse/dropdown-menu-content {"minWidth":"220px","align":"right","style":{"spacing":{"blockGap":"1px"}}} -->
    <!-- wp:paragraph {"style":{"typography":{"fontSize":"0.875rem","fontWeight":"500"},"spacing":{"padding":{"top":"0.25rem","right":"0.5rem","bottom":"0.5rem","left":"0.5rem"}}}} -->
    <p
        style="
        padding-top: 0.25rem;
        padding-right: 0.5rem;
        padding-bottom: 0.5rem;
        padding-left: 0.5rem;
        font-size: 0.875rem;
        font-weight: 500;
        ">
        <?php _e('Order by', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->

    <!-- wp:separator {"style":{"spacing":{"margin":{"top":"var:preset|spacing|1","bottom":"var:preset|spacing|1-5"}}}} -->
    <hr
        class="wp-block-separator has-alpha-channel-opacity"
        style="
        margin-top: var(--wp--preset--spacing--1);
        margin-bottom: var(--wp--preset--spacing--1-5);
        " />
    <!-- /wp:separator -->

    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?order=desc\u0026orderby=date","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
    <div class="wp-block-outermost-icon-block">
        <div class="icon-container" style="width: 20px">
            <svg
                xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 24 24"
                width="24"
                height="24"
                color="#000000"
                fill="none">
                <path
                    d="M15 16.3265L16.409 17.8131C17.159 18.6044 17.534 19 18 19C18.466 19 18.841 18.6044 19.591 17.8131L21 16.3265M18 18.9128L18 14.5377C18 12.3042 18 11.1875 17.5532 10.2028C17.1063 9.21804 16.2659 8.48266 14.585 7.01192L14 6.5"
                    stroke="currentColor"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"></path>
                <path
                    d="M3 6.5C3 5.27489 3 4.66233 3.23842 4.1944C3.44815 3.78279 3.78279 3.44815 4.1944 3.23842C4.66233 3 5.27489 3 6.5 3C7.72511 3 8.33767 3 8.8056 3.23842C9.21721 3.44815 9.55185 3.78279 9.76158 4.1944C10 4.66233 10 5.27489 10 6.5C10 7.72511 10 8.33767 9.76158 8.8056C9.55185 9.21721 9.21721 9.55185 8.8056 9.76158C8.33767 10 7.72511 10 6.5 10C5.27489 10 4.66233 10 4.1944 9.76158C3.78279 9.55185 3.44815 9.21721 3.23842 8.8056C3 8.33767 3 7.72511 3 6.5Z"
                    stroke="currentColor"
                    stroke-width="1.5"></path>
                <path
                    d="M3 17.5C3 16.2749 3 15.6623 3.23842 15.1944C3.44815 14.7828 3.78279 14.4481 4.1944 14.2384C4.66233 14 5.27489 14 6.5 14C7.72511 14 8.33767 14 8.8056 14.2384C9.21721 14.4481 9.55185 14.7828 9.76158 15.1944C10 15.6623 10 16.2749 10 17.5C10 18.7251 10 19.3377 9.76158 19.8056C9.55185 20.2172 9.21721 20.5519 8.8056 20.7616C8.33767 21 7.72511 21 6.5 21C5.27489 21 4.66233 21 4.1944 20.7616C3.78279 20.5519 3.44815 20.2172 3.23842 19.8056C3 19.3377 3 18.7251 3 17.5Z"
                    stroke="currentColor"
                    stroke-width="1.5"></path>
            </svg>
        </div>
    </div>
    <!-- /wp:outermost/icon-block -->

    <!-- wp:paragraph -->
    <p>
        <?php _e('Newest to oldest', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->

    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?order=asc\u0026orderby=date","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
    <div class="wp-block-outermost-icon-block">
        <div class="icon-container" style="width: 20px">
            <svg
                xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 24 24"
                width="24"
                height="24"
                color="#000000"
                fill="none">
                <path
                    d="M14.9998 7.67356L16.4088 6.187C17.1588 5.39573 17.5338 5.00009 17.9998 5.00009C18.4658 5.00009 18.8408 5.39573 19.5908 6.18701L20.9998 7.67356M17.9998 5.08732L17.9998 9.46241C17.9998 11.6959 17.9998 12.8126 17.553 13.7973C17.1061 14.7821 16.2657 15.5174 14.5849 16.9882L13.9998 17.5001"
                    stroke="currentColor"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"></path>
                <path
                    d="M3 6.5C3 5.27489 3 4.66233 3.23842 4.1944C3.44815 3.78279 3.78279 3.44815 4.1944 3.23842C4.66233 3 5.27489 3 6.5 3C7.72511 3 8.33767 3 8.8056 3.23842C9.21721 3.44815 9.55185 3.78279 9.76158 4.1944C10 4.66233 10 5.27489 10 6.5C10 7.72511 10 8.33767 9.76158 8.8056C9.55185 9.21721 9.21721 9.55185 8.8056 9.76158C8.33767 10 7.72511 10 6.5 10C5.27489 10 4.66233 10 4.1944 9.76158C3.78279 9.55185 3.44815 9.21721 3.23842 8.8056C3 8.33767 3 7.72511 3 6.5Z"
                    stroke="currentColor"
                    stroke-width="1.5"></path>
                <path
                    d="M3 17.5C3 16.2749 3 15.6623 3.23842 15.1944C3.44815 14.7828 3.78279 14.4481 4.1944 14.2384C4.66233 14 5.27489 14 6.5 14C7.72511 14 8.33767 14 8.8056 14.2384C9.21721 14.4481 9.55185 14.7828 9.76158 15.1944C10 15.6623 10 16.2749 10 17.5C10 18.7251 10 19.3377 9.76158 19.8056C9.55185 20.2172 9.21721 20.5519 8.8056 20.7616C8.33767 21 7.72511 21 6.5 21C5.27489 21 4.66233 21 4.1944 20.7616C3.78279 20.5519 3.44815 20.2172 3.23842 19.8056C3 19.3377 3 18.7251 3 17.5Z"
                    stroke="currentColor"
                    stroke-width="1.5"></path>
            </svg>
        </div>
    </div>
    <!-- /wp:outermost/icon-block -->

    <!-- wp:paragraph -->
    <p>
        <?php _e('Oldest to newest', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->

    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?order=asc\u0026orderby=title","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
    <div class="wp-block-outermost-icon-block">
        <div class="icon-container" style="width: 20px">
            <svg
                xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 24 24"
                width="24"
                height="24"
                color="#000000"
                fill="none">
                <path
                    d="M4 14H8.42109C9.35119 14 9.81624 14 9.94012 14.2801C10.064 14.5603 9.74755 14.8963 9.11466 15.5684L5.47691 19.4316C4.84402 20.1037 4.52757 20.4397 4.65145 20.7199C4.77533 21 5.24038 21 6.17048 21H10"
                    stroke="currentColor"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"></path>
                <path
                    d="M4 9L6.10557 4.30527C6.49585 3.43509 6.69098 3 7 3C7.30902 3 7.50415 3.43509 7.89443 4.30527L10 9"
                    stroke="currentColor"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"></path>
                <path
                    d="M17.5 20V4M17.5 20C16.7998 20 15.4915 18.0057 15 17.5M17.5 20C18.2002 20 19.5085 18.0057 20 17.5"
                    stroke="currentColor"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"></path>
            </svg>
        </div>
    </div>
    <!-- /wp:outermost/icon-block -->

    <!-- wp:paragraph -->
    <p>
        <?php _e('A → Z', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->

    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?order=desc\u0026orderby=title","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
    <div class="wp-block-outermost-icon-block">
        <div class="icon-container" style="width: 20px">
            <svg
                xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 24 24"
                width="24"
                height="24"
                color="#000000"
                fill="none">
                <path
                    d="M4 3H8.42109C9.35119 3 9.81624 3 9.94012 3.28013C10.064 3.56026 9.74755 3.89632 9.11466 4.56842L5.47691 8.43158C4.84402 9.10368 4.52757 9.43974 4.65145 9.71987C4.77533 10 5.24038 10 6.17048 10H10"
                    stroke="currentColor"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"></path>
                <path
                    d="M4 21L6.10557 16.3053C6.49585 15.4351 6.69098 15 7 15C7.30902 15 7.50415 15.4351 7.89443 16.3053L10 21"
                    stroke="currentColor"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"></path>
                <path
                    d="M17.5 20V4M17.5 20C16.7998 20 15.4915 18.0057 15 17.5M17.5 20C18.2002 20 19.5085 18.0057 20 17.5"
                    stroke="currentColor"
                    stroke-width="1.5"
                    stroke-linecap="round"
                    stroke-linejoin="round"></path>
            </svg>
        </div>
    </div>
    <!-- /wp:outermost/icon-block -->

    <!-- wp:paragraph -->
    <p>
        <?php _e('Z → A', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->


    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?order=desc\u0026orderby=most_liked","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
    <div class="wp-block-outermost-icon-block">
        <div class="icon-container" style="width:20px">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                <path d="M19.4626 3.99415C16.7809 2.34923 14.4404 3.01211 13.0344 4.06801C12.4578 4.50096 12.1696 4.71743 12 4.71743C11.8304 4.71743 11.5422 4.50096 10.9656 4.06801C9.55962 3.01211 7.21909 2.34923 4.53744 3.99415C1.01807 6.15294 0.221721 13.2749 8.33953 19.2834C9.88572 20.4278 10.6588 21 12 21C13.3412 21 14.1143 20.4278 15.6605 19.2834C23.7783 13.2749 22.9819 6.15294 19.4626 3.99415Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" />
            </svg>
        </div>
    </div>
    <!-- /wp:outermost/icon-block -->

    <!-- wp:paragraph -->
    <p>
        <?php _e('Most Liked', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->



    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?order=desc\u0026orderby=most_viewed","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
    <div class="wp-block-outermost-icon-block">
        <div class="icon-container" style="width:20px">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                <path d="M21 21H10C6.70017 21 5.05025 21 4.02513 19.9749C3 18.9497 3 17.2998 3 14V3" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" />
                <path d="M7 4H8" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" />
                <path d="M7 7H11" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" />
                <path d="M5 20C6.07093 18.053 7.52279 13.0189 10.3063 13.0189C12.2301 13.0189 12.7283 15.4717 14.6136 15.4717C17.8572 15.4717 17.387 10 21 10" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
            </svg>
        </div>
    </div>
    <!-- /wp:outermost/icon-block -->

    <!-- wp:paragraph -->
    <p>
        <?php _e('Most Viewed', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->



    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?post_type=post,page","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
    <div class="wp-block-outermost-icon-block">
        <div class="icon-container" style="width: 20px">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                <path d="M8.85746 12.5061C6.36901 10.6456 4.59564 8.59915 3.62734 7.44867C3.3276 7.09253 3.22938 6.8319 3.17033 6.3728C2.96811 4.8008 2.86701 4.0148 3.32795 3.5074C3.7889 3 4.60404 3 6.23433 3H17.7657C19.396 3 20.2111 3 20.672 3.5074C21.133 4.0148 21.0319 4.8008 20.8297 6.37281C20.7706 6.83191 20.6724 7.09254 20.3726 7.44867C19.403 8.60062 17.6261 10.6507 15.1326 12.5135C14.907 12.6821 14.7583 12.9567 14.7307 13.2614C14.4837 15.992 14.2559 17.4876 14.1141 18.2442C13.8853 19.4657 12.1532 20.2006 11.226 20.8563C10.6741 21.2466 10.0043 20.782 9.93278 20.1778C9.79643 19.0261 9.53961 16.6864 9.25927 13.2614C9.23409 12.9539 9.08486 12.6761 8.85746 12.5061Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
            </svg>
        </div>
    </div>
    <!-- /wp:outermost/icon-block -->

    <!-- wp:paragraph -->
    <p>
        <?php _e('Search posts/pages', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->



    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?post_type=product","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
    <div class="wp-block-outermost-icon-block">
        <div class="icon-container" style="width: 20px">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                <path d="M8.85746 12.5061C6.36901 10.6456 4.59564 8.59915 3.62734 7.44867C3.3276 7.09253 3.22938 6.8319 3.17033 6.3728C2.96811 4.8008 2.86701 4.0148 3.32795 3.5074C3.7889 3 4.60404 3 6.23433 3H17.7657C19.396 3 20.2111 3 20.672 3.5074C21.133 4.0148 21.0319 4.8008 20.8297 6.37281C20.7706 6.83191 20.6724 7.09254 20.3726 7.44867C19.403 8.60062 17.6261 10.6507 15.1326 12.5135C14.907 12.6821 14.7583 12.9567 14.7307 13.2614C14.4837 15.992 14.2559 17.4876 14.1141 18.2442C13.8853 19.4657 12.1532 20.2006 11.226 20.8563C10.6741 21.2466 10.0043 20.782 9.93278 20.1778C9.79643 19.0261 9.53961 16.6864 9.25927 13.2614C9.23409 12.9539 9.08486 12.6761 8.85746 12.5061Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
            </svg>
        </div>
    </div>
    <!-- /wp:outermost/icon-block -->

    <!-- wp:paragraph -->
    <p>
        <?php _e('Search in products', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->

    <!-- /wp:ncmfse/dropdown-menu-content -->
    <!-- /wp:ncmfse/dropdown-menu -->

<?php endif; ?>