<?php

/**
 * Title: Dropdown Post Type Filter
 * Slug: ncmaz-fse/dropdown-post-type-filter
 * Categories: filter, dropdown
 * Keywords: filter, dropdown
 * Description: A dropdown filter for filtering posts.
 */
?>
<?php if (defined('NCMAZ_FSE_CORE_VERSION')): ?>

    <!-- wp:ncmfse/dropdown-menu {"metadata":{"name":"Dropdown Post type filter"}} -->
    <!-- wp:ncmfse/dropdown-menu-trigger -->
    <!-- wp:group {"metadata":{"name":"Trigger button"},"className":"button-outline","style":{"spacing":{"padding":{"top":"var:preset|spacing|3-5","bottom":"var:preset|spacing|3-5","left":"var:preset|spacing|5","right":"var:preset|spacing|5"},"blockGap":"var:preset|spacing|2-5"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
    <div class="wp-block-group button-outline" style="padding-top:var(--wp--preset--spacing--3-5);padding-right:var(--wp--preset--spacing--5);padding-bottom:var(--wp--preset--spacing--3-5);padding-left:var(--wp--preset--spacing--5)">
        <!-- wp:outermost/icon-block {"iconName":"","width":"24px","blockVisibility":{"controlSets":[{"id":1,"enable":true,"controls":{"screenSize":{"hideOnScreenSize":{"small":true}}}}]}} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container" style="width:24px"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M15 19L15 6.65856C15 5.65277 15 5.14987 15.3087 5.02472C15.6173 4.89956 15.9806 5.25517 16.7071 5.96637L19 8.21091" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M9 5L9 17.3414C9 18.3472 9 18.8501 8.69134 18.9753C8.38268 19.1004 8.01942 18.7448 7.29289 18.0336L5 15.7891" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"500"}},"fontSize":"sm"} -->
        <p class="has-sm-font-size" style="font-style:normal;font-weight:500">
            <?php _e('Post type', 'ncmaz-fse') ?>
        </p>
        <!-- /wp:paragraph -->

        <!-- wp:outermost/icon-block {"iconName":"","width":"16px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container" style="width:16px"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
                    <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->
    </div>
    <!-- /wp:group -->
    <!-- /wp:ncmfse/dropdown-menu-trigger -->

    <!-- wp:ncmfse/dropdown-menu-content {"minWidth":"200px","align":"left","style":{"spacing":{"blockGap":"1px"}}} -->
    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:paragraph -->
    <p>
        <?php _e('All post type', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->


    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?post_type=post","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:paragraph -->
    <p>
        <?php _e('Post', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->

    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?post_type=page","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:paragraph -->
    <p>
        <?php _e('Page', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->

    <!-- wp:ncmfse/dropdown-menu-item {"linkWithCurrentSearch":true,"href":"?post_type=product","style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}}} -->
    <!-- wp:paragraph -->
    <p>
        <?php _e('Product', 'ncmaz-fse') ?>
    </p>
    <!-- /wp:paragraph -->
    <!-- /wp:ncmfse/dropdown-menu-item -->
    <!-- /wp:ncmfse/dropdown-menu-content -->
    <!-- /wp:ncmfse/dropdown-menu -->

<?php endif; ?>