<?php

/**
 * Title: Page Archive
 * Slug: ncmaz-fse/hidden-page-archive
 * Categories: ncmaz_fse_page
 * Keywords: starter
 * Block Types: core/post-content
 * Post Types: page, wp_template
 * Viewport width: 1400
 * Description: Archive page with a featured term, social sharing, and a grid of posts.
 * Inserter: no
 */
?>


<!-- wp:group {"tagName":"main","align":"full","layout":{"type":"constrained"}} -->
<main class="wp-block-group alignfull">
    <!-- wp:group {"metadata":{"name":"Header"},"align":"wide","style":{"spacing":{"padding":{"top":"var:preset|spacing|8","bottom":"var:preset|spacing|8","left":"var:preset|spacing|8","right":"var:preset|spacing|8"},"blockGap":"2rem"},"border":{"radius":"28px","width":"1px"}},"borderColor":"shadcn-border","layout":{"type":"flex","flexWrap":"wrap"}} -->
    <div class="wp-block-group alignwide has-border-color has-shadcn-border-border-color" style="border-width:1px;border-radius:28px;padding-top:var(--wp--preset--spacing--8);padding-right:var(--wp--preset--spacing--8);padding-bottom:var(--wp--preset--spacing--8);padding-left:var(--wp--preset--spacing--8)">
        <!-- wp:group {"style":{"layout":{"selfStretch":"fit","flexSize":null}},"layout":{"type":"default"}} -->
        <div class="wp-block-group">
            <!-- wp:ncmfse/term-featured-img {"aspectRatio":"1","width":"160px","style":{"border":{"radius":"24px"}}} /-->
        </div>
        <!-- /wp:group -->

        <!-- wp:group {"align":"wide","style":{"spacing":{"blockGap":"0"},"layout":{"selfStretch":"fixed","flexSize":"700px"}},"layout":{"type":"flex","orientation":"vertical"}} -->
        <div class="wp-block-group alignwide">
            <!-- wp:group {"align":"wide","style":{"spacing":{"blockGap":"var:preset|spacing|4"}},"layout":{"type":"flex","orientation":"horizontal","verticalAlignment":"center"}} -->
            <div class="wp-block-group alignwide">
                <!-- wp:query-title {"type":"archive","showPrefix":false,"align":"wide","style":{"typography":{"fontStyle":"normal","fontWeight":"500","lineHeight":"1.2"}},"fontSize":"4xl"} /-->

                <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border-darker"}}}},"textColor":"shadcn-border-darker"} -->
                <p class="has-shadcn-border-darker-color has-text-color has-link-color">
                    /
                </p>
                <!-- /wp:paragraph -->

                <!-- wp:group {"metadata":{"name":"Term Count With Icon","categories":["text"],"patternName":"ncmaz-fse/term-count-with-icon"},"style":{"spacing":{"blockGap":"var:preset|spacing|1"},"elements":{"link":{"color":{"text":"var:preset|color|contrast"}}},"typography":{"fontStyle":"normal","fontWeight":"500"}},"textColor":"contrast","fontSize":"sm","layout":{"type":"flex","flexWrap":"nowrap"}} -->
                <div
                    class="wp-block-group has-contrast-color has-text-color has-link-color has-sm-font-size"
                    style="font-style: normal; font-weight: 500">
                    <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
                    <div class="wp-block-outermost-icon-block">
                        <div class="icon-container" style="width: 20px">
                            <svg
                                xmlns="http://www.w3.org/2000/svg"
                                fill="none"
                                viewBox="0 0 24 24"
                                stroke-width="1.5"
                                stroke="currentColor"
                                class="size-6">
                                <path
                                    stroke-linecap="round"
                                    stroke-linejoin="round"
                                    d="M15.362 5.214A8.252 8.252 0 0 1 12 21 8.25 8.25 0 0 1 6.038 7.047 8.287 8.287 0 0 0 9 9.601a8.983 8.983 0 0 1 3.361-6.867 8.21 8.21 0 0 0 3 2.48Z"></path>
                                <path
                                    stroke-linecap="round"
                                    stroke-linejoin="round"
                                    d="M12 18a3.75 3.75 0 0 0 .495-7.468 5.99 5.99 0 0 0-1.925 3.547 5.975 5.975 0 0 1-2.133-1.001A3.75 3.75 0 0 0 12 18Z"></path>
                            </svg>
                        </div>
                    </div>
                    <!-- /wp:outermost/icon-block -->

                    <!-- wp:ncmfse/term-count /-->

                    <!-- wp:paragraph -->
                    <p>
                        <?php _e("articles", "ncmaz-fse") ?>
                    </p>
                    <!-- /wp:paragraph -->
                </div>
                <!-- /wp:group -->
            </div>
            <!-- /wp:group -->

            <!-- wp:term-description {"style":{"elements":{"link":{"color":{"text":"var:preset|color|contrast-2"}}},"spacing":{"margin":{"top":"var:preset|spacing|3"}}},"textColor":"contrast-2","fontSize":"small"} /-->

            <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|2-5","margin":{"top":"var:preset|spacing|5"}}},"layout":{"type":"flex","flexWrap":"wrap","verticalAlignment":"bottom"}} -->
            <div
                class="wp-block-group"
                style="margin-top: var(--wp--preset--spacing--5)">
                <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-muted-foreground"}}}},"textColor":"shadcn-muted-foreground","fontSize":"sm"} -->
                <p
                    class="has-shadcn-muted-foreground-color has-text-color has-link-color has-sm-font-size">
                    <?php _e("Share with", "ncmaz-fse") ?>
                </p>
                <!-- /wp:paragraph -->

                <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border-darker"}}},"typography":{"fontStyle":"normal","fontWeight":"300"}},"textColor":"shadcn-border-darker","fontSize":"sm"} -->
                <p
                    class="has-shadcn-border-darker-color has-text-color has-link-color has-sm-font-size"
                    style="font-style: normal; font-weight: 300">
                    /
                </p>
                <!-- /wp:paragraph -->

                <!-- wp:outermost/social-sharing {"size":"has-normal-icon-size","className":"is-style-logos-only","style":{"spacing":{"blockGap":{"top":"var:preset|spacing|3-5","left":"var:preset|spacing|3-5"}}},"fontSize":"medium"} -->
                <ul
                    class="wp-block-outermost-social-sharing has-normal-icon-size is-style-logos-only has-medium-font-size">
                    <!-- wp:outermost/social-sharing-link {"service":"facebook"} /-->

                    <!-- wp:outermost/social-sharing-link {"service":"x"} /-->

                    <!-- wp:outermost/social-sharing-link {"service":"pinterest"} /-->

                    <!-- wp:outermost/social-sharing-link {"service":"threads"} /-->
                </ul>
                <!-- /wp:outermost/social-sharing -->
            </div>
            <!-- /wp:group -->
        </div>
        <!-- /wp:group -->
    </div>
    <!-- /wp:group -->

    <!-- wp:group {"align":"wide","style":{"spacing":{"blockGap":"var:preset|spacing|4","padding":{"top":"var:preset|spacing|10"}}},"layout":{"type":"flex","flexWrap":"wrap","justifyContent":"left"}} -->
    <div
        class="wp-block-group alignwide"
        style="padding-top: var(--wp--preset--spacing--10)">
        <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|2-5"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
        <div class="wp-block-group">
            <!-- wp:group {"metadata":{"name":"Categories button"},"className":"button-outline","style":{"spacing":{"padding":{"top":"var:preset|spacing|3-5","bottom":"var:preset|spacing|3-5","left":"var:preset|spacing|5","right":"var:preset|spacing|5"},"blockGap":"var:preset|spacing|2-5"}},"layout":{"type":"flex","flexWrap":"nowrap"},"modalTriggerEnabled":true,"modalEnabled":"b1tTgZGab5v"} -->
            <div
                class="wp-block-group button-outline"
                style="
          padding-top: var(--wp--preset--spacing--3-5);
          padding-right: var(--wp--preset--spacing--5);
          padding-bottom: var(--wp--preset--spacing--3-5);
          padding-left: var(--wp--preset--spacing--5);
        "
                data-trigger-modal="b1tTgZGab5v">
                <!-- wp:outermost/icon-block {"iconName":"","width":"24px"} -->
                <div class="wp-block-outermost-icon-block">
                    <div class="icon-container" style="width: 24px">
                        <svg
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 24 24"
                            width="24"
                            height="24"
                            color="#000000"
                            fill="none">
                            <path
                                d="M2 11.5C2 7.02166 2 4.78249 3.39124 3.39124C4.78249 2 7.02166 2 11.5 2C15.9783 2 18.2175 2 19.6088 3.39124C21 4.78249 21 7.02166 21 11.5C21 15.9783 21 18.2175 19.6088 19.6088C18.2175 21 15.9783 21 11.5 21C7.02166 21 4.78249 21 3.39124 19.6088C2 18.2175 2 15.9783 2 11.5Z"
                                stroke="currentColor"
                                stroke-width="1.5"></path>
                            <path
                                d="M8.5 11.5L14.5001 11.5"
                                stroke="currentColor"
                                stroke-width="1.5"
                                stroke-linecap="round"
                                stroke-linejoin="round"></path>
                            <path
                                d="M9.5 15H13.5"
                                stroke="currentColor"
                                stroke-width="1.5"
                                stroke-linecap="round"
                                stroke-linejoin="round"></path>
                            <path
                                d="M7.5 8H15.5"
                                stroke="currentColor"
                                stroke-width="1.5"
                                stroke-linecap="round"
                                stroke-linejoin="round"></path>
                        </svg>
                    </div>
                </div>
                <!-- /wp:outermost/icon-block -->

                <!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"500"}},"fontSize":"sm"} -->
                <p
                    class="has-sm-font-size"
                    style="font-style: normal; font-weight: 500">
                    <?php _e("Categories", "ncmaz-fse") ?>
                </p>
                <!-- /wp:paragraph -->

                <!-- wp:outermost/icon-block {"iconName":"","width":"16px"} -->
                <div class="wp-block-outermost-icon-block">
                    <div class="icon-container" style="width: 16px">
                        <svg
                            xmlns="http://www.w3.org/2000/svg"
                            fill="none"
                            viewBox="0 0 24 24"
                            stroke-width="1.5"
                            stroke="currentColor"
                            class="size-6">
                            <path
                                stroke-linecap="round"
                                stroke-linejoin="round"
                                d="m19.5 8.25-7.5 7.5-7.5-7.5"></path>
                        </svg>
                    </div>
                </div>
                <!-- /wp:outermost/icon-block -->
            </div>
            <!-- /wp:group -->

            <!-- wp:group {"metadata":{"name":"Tags button"},"className":"button-outline","style":{"spacing":{"padding":{"top":"var:preset|spacing|3-5","bottom":"var:preset|spacing|3-5","left":"var:preset|spacing|5","right":"var:preset|spacing|5"},"blockGap":"var:preset|spacing|2-5"}},"layout":{"type":"flex","flexWrap":"nowrap"},"modalTriggerEnabled":true,"modalEnabled":"wpKBFXDvNWR"} -->
            <div
                class="wp-block-group button-outline"
                style="
                padding-top: var(--wp--preset--spacing--3-5);
                padding-right: var(--wp--preset--spacing--5);
                padding-bottom: var(--wp--preset--spacing--3-5);
                padding-left: var(--wp--preset--spacing--5);
                "
                data-trigger-modal="wpKBFXDvNWR">
                <!-- wp:outermost/icon-block {"iconName":"","width":"23px"} -->
                <div class="wp-block-outermost-icon-block">
                    <div class="icon-container" style="width: 23px">
                        <svg
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 24 24"
                            width="24"
                            height="24"
                            color="#000000"
                            fill="none">
                            <path
                                d="M7 2V22"
                                stroke="currentColor"
                                stroke-width="1.5"
                                stroke-linecap="round"></path>
                            <path
                                d="M17 2V22"
                                stroke="currentColor"
                                stroke-width="1.5"
                                stroke-linecap="round"></path>
                            <path
                                d="M22 7L2 7"
                                stroke="currentColor"
                                stroke-width="1.5"
                                stroke-linecap="round"></path>
                            <path
                                d="M22 17L2 17"
                                stroke="currentColor"
                                stroke-width="1.5"
                                stroke-linecap="round"></path>
                        </svg>
                    </div>
                </div>
                <!-- /wp:outermost/icon-block -->

                <!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"500"}},"fontSize":"sm"} -->
                <p
                    class="has-sm-font-size"
                    style="font-style: normal; font-weight: 500">
                    <?php _e("Tags", "ncmaz-fse") ?>
                </p>
                <!-- /wp:paragraph -->

                <!-- wp:outermost/icon-block {"iconName":"","width":"16px"} -->
                <div class="wp-block-outermost-icon-block">
                    <div class="icon-container" style="width: 16px">
                        <svg
                            xmlns="http://www.w3.org/2000/svg"
                            fill="none"
                            viewBox="0 0 24 24"
                            stroke-width="1.5"
                            stroke="currentColor"
                            class="size-6">
                            <path
                                stroke-linecap="round"
                                stroke-linejoin="round"
                                d="m19.5 8.25-7.5 7.5-7.5-7.5"></path>
                        </svg>
                    </div>
                </div>
                <!-- /wp:outermost/icon-block -->
            </div>
            <!-- /wp:group -->
        </div>
        <!-- /wp:group -->

        <!-- wp:group {"style":{"layout":{"selfStretch":"fill","flexSize":null}},"layout":{"type":"default"}} -->
        <div class="wp-block-group">
            <!-- wp:group {"layout":{"type":"flex","flexWrap":"nowrap","justifyContent":"right"}} -->
            <div class="wp-block-group">

                <!-- wp:pattern {"slug":"ncmaz-fse/dropdown-filter-archive-page"} /-->

            </div>
            <!-- /wp:group -->
        </div>
        <!-- /wp:group -->
    </div>
    <!-- /wp:group -->

    <!-- wp:pattern {"slug":"ncmaz-fse/posts-1-grid"} /-->

    <!-- wp:spacer {"height":"8px"} -->
    <div style="height: 8px" aria-hidden="true" class="wp-block-spacer"></div>
    <!-- /wp:spacer -->

    <!-- wp:separator {"align":"wide","backgroundColor":"shadcn-border"} -->
    <hr
        class="wp-block-separator alignwide has-text-color has-shadcn-border-color has-alpha-channel-opacity has-shadcn-border-background-color has-background" />
    <!-- /wp:separator -->

    <!-- wp:spacer {"height":"28px"} -->
    <div style="height: 28px" aria-hidden="true" class="wp-block-spacer"></div>
    <!-- /wp:spacer -->

    <!-- wp:pattern {"slug":"ncmaz-fse/image-with-text-1"} /-->

    <!-- wp:spacer {"height":"48px"} -->
    <div style="height: 48px" aria-hidden="true" class="wp-block-spacer"></div>
    <!-- /wp:spacer -->
</main>
<!-- /wp:group -->

<!-- wp:cloudcatch/light-modal-block {"id":"b1tTgZGab5v","width":"800px","label":"Modal Categories","metadata":{"name":"Modal Categories"},"style":{"border":{"radius":"16px"}}} -->
<div
    role="dialog"
    aria-modal="true"
    class="wp-block-cloudcatch-light-modal-block__wrapper"
    data-modal-id="b1tTgZGab5v">
    <div
        style="border-radius: 16px;max-width:800px"
        class="wp-block-cloudcatch-light-modal-block">
        <div class="wp-block-cloudcatch-light-modal-block__content">
            <!-- wp:group {"align":"full","layout":{"type":"constrained"}} -->
            <div class="wp-block-group alignfull">
                <!-- wp:group {"align":"full","style":{"spacing":{"blockGap":"var:preset|spacing|6"}},"layout":{"type":"default"}} -->
                <div class="wp-block-group alignfull">
                    <!-- wp:heading {"className":"is-style-default","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.25"}},"fontSize":"lg"} -->
                    <h2
                        class="wp-block-heading is-style-default has-lg-font-size"
                        style="font-style: normal; font-weight: 600; line-height: 1.25">
                        <?php _e("Other categories", "ncmaz-fse") ?>
                    </h2>
                    <!-- /wp:heading -->

                    <!-- wp:separator {"align":"full","className":"is-style-wide","backgroundColor":"shadcn-border"} -->
                    <hr
                        class="wp-block-separator alignfull has-text-color has-shadcn-border-color has-alpha-channel-opacity has-shadcn-border-background-color has-background is-style-wide" />
                    <!-- /wp:separator -->

                    <!-- wp:pattern {"slug":"ncmaz-fse/terms-6-grid"} /-->

                </div>
                <!-- /wp:group -->
            </div>
            <!-- /wp:group -->
        </div>
        <button class="wp-block-cloudcatch-light-modal-block__close">
            <svg
                xmlns="http://www.w3.org/2000/svg"
                width="14"
                height="14"
                viewBox="0 0 24 24"
                aria-hidden="true">
                <path
                    d="M24 1.2 22.8 0 12 10.8 1.2 0 0 1.2 10.8 12 0 22.8 1.2 24 12 13.2 22.8 24l1.2-1.2L13.2 12 24 1.2z"></path>
            </svg>
        </button>
    </div>
</div>
<!-- /wp:cloudcatch/light-modal-block -->

<!-- wp:cloudcatch/light-modal-block {"id":"wpKBFXDvNWR","width":"800px","label":"Modal Tags","metadata":{"name":"Modal Tags"},"style":{"border":{"radius":"16px"}}} -->
<div
    role="dialog"
    aria-modal="true"
    class="wp-block-cloudcatch-light-modal-block__wrapper"
    data-modal-id="wpKBFXDvNWR">
    <div
        style="border-radius: 16px;max-width:800px"
        class="wp-block-cloudcatch-light-modal-block">
        <div class="wp-block-cloudcatch-light-modal-block__content">
            <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|6"}},"layout":{"type":"default"}} -->
            <div class="wp-block-group">
                <!-- wp:heading {"className":"is-style-default","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.25"}},"fontSize":"lg"} -->
                <h2
                    class="wp-block-heading is-style-default has-lg-font-size"
                    style="font-style: normal; font-weight: 600; line-height: 1.25">
                    <?php _e("Other tags", "ncmaz-fse") ?>
                </h2>
                <!-- /wp:heading -->

                <!-- wp:separator {"align":"full","className":"is-style-wide","backgroundColor":"shadcn-border"} -->
                <hr
                    class="wp-block-separator alignfull has-text-color has-shadcn-border-color has-alpha-channel-opacity has-shadcn-border-background-color has-background is-style-wide" />
                <!-- /wp:separator -->

                <!-- wp:pattern {"slug":"ncmaz-fse/terms-5-grid"} /-->

            </div>
            <!-- /wp:group -->
        </div>
        <button class="wp-block-cloudcatch-light-modal-block__close">
            <svg
                xmlns="http://www.w3.org/2000/svg"
                width="14"
                height="14"
                viewBox="0 0 24 24"
                aria-hidden="true">
                <path
                    d="M24 1.2 22.8 0 12 10.8 1.2 0 0 1.2 10.8 12 0 22.8 1.2 24 12 13.2 22.8 24l1.2-1.2L13.2 12 24 1.2z"></path>
            </svg>
        </button>
    </div>
</div>
<!-- /wp:cloudcatch/light-modal-block -->