<?php

/**
 * Title: Page Seach
 * Slug: ncmaz-fse/hidden-page-search
 * Categories: ncmaz_fse_page
 * Keywords: starter
 * Block Types: core/post-content
 * Post Types: page, wp_template
 * Viewport width: 1400
 * Inserter: no
 * Description:  A page with a search form.
 */
?>



<!-- wp:group {"tagName":"main","align":"full","style":{"spacing":{"margin":{"top":"0","bottom":"0"}}},"layout":{"type":"constrained"}} -->
<main class="wp-block-group alignfull" style="margin-top: 0; margin-bottom: 0">
    <!-- wp:group {"align":"full","style":{"spacing":{"blockGap":"0"}},"layout":{"type":"constrained"}} -->
    <div class="wp-block-group alignfull">
        <!-- wp:group {"align":"full","className":"dark:bg-slate-900","style":{"color":{"background":"#eff3ff"}},"layout":{"type":"constrained"}} -->
        <div class="wp-block-group alignfull dark:bg-slate-900 has-background" style="background-color:#eff3ff"><!-- wp:group {"align":"wide","layout":{"type":"constrained","justifyContent":"left"}} -->
            <div class="wp-block-group alignwide"><!-- wp:spacer {"height":"120px","style":{"spacing":{"margin":{"top":"-1px"}}}} -->
                <div style="margin-top:-1px;height:120px" aria-hidden="true" class="wp-block-spacer"></div>
                <!-- /wp:spacer -->
            </div>
            <!-- /wp:group -->
        </div>
        <!-- /wp:group -->

        <!-- wp:group {"align":"wide","style":{"spacing":{"margin":{"top":"-30px"},"blockGap":"var:preset|spacing|5"}},"layout":{"type":"constrained","contentSize":"720px"}} -->
        <div class="wp-block-group alignwide" style="margin-top: -30px">
            <!-- wp:group {"style":{"border":{"radius":"8px","width":"0px","style":"none"},"shadow":"var:preset|shadow|md","layout":{"selfStretch":"fixed","flexSize":"720px"},"spacing":{"blockGap":"var:preset|spacing|2","padding":{"left":"var:preset|spacing|4","top":"var:preset|spacing|0-5","bottom":"var:preset|spacing|0-5","right":"var:preset|spacing|0-5"}}},"backgroundColor":"shadcn-background","layout":{"type":"flex","flexWrap":"nowrap"}} -->
            <div
                class="wp-block-group has-shadcn-background-background-color has-background"
                style="
                border-style: none;
                border-width: 0px;
                border-radius: 8px;
                padding-top: var(--wp--preset--spacing--0-5);
                padding-right: var(--wp--preset--spacing--0-5);
                padding-bottom: var(--wp--preset--spacing--0-5);
                padding-left: var(--wp--preset--spacing--4);
                box-shadow: var(--wp--preset--shadow--md);
                ">
                <!-- wp:outermost/icon-block {"iconName":"","iconColor":"shadcn-muted-foreground","iconColorValue":"hsl(220 8.9% 46.1%)","hasNoIconFill":true,"width":"22px"} -->
                <div class="wp-block-outermost-icon-block">
                    <div
                        class="icon-container has-icon-color has-no-icon-fill-color has-shadcn-muted-foreground-color"
                        style="color: hsl(220 8.9% 46.1%); width: 22px">
                        <svg
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 24 24"
                            width="24"
                            height="24"
                            color="#000000"
                            fill="none">
                            <path
                                d="M6 16C5.07003 16 4.60504 16 4.22354 15.8978C3.18827 15.6204 2.37962 14.8117 2.10222 13.7765C2 13.395 2 12.93 2 12C2 11.07 2 10.605 2.10222 10.2235C2.37962 9.18827 3.18827 8.37962 4.22354 8.10222C4.60504 8 5.07003 8 6 8M12 16H18C18.93 16 19.395 16 19.7765 15.8978C20.8117 15.6204 21.6204 14.8117 21.8978 13.7765C22 13.395 22 12.93 22 12C22 11.07 22 10.605 21.8978 10.2235C21.6204 9.18827 20.8117 8.37962 19.7765 8.10222C19.395 8 18.93 8 18 8H12"
                                stroke="currentColor"
                                stroke-width="1.5"
                                stroke-linecap="round"></path>
                            <path
                                d="M7 3H9M11 3H9M9 3V21M9 21H7M9 21H11"
                                stroke="currentColor"
                                stroke-width="1.5"
                                stroke-linecap="round"
                                stroke-linejoin="round"></path>
                        </svg>
                    </div>
                </div>
                <!-- /wp:outermost/icon-block -->

                <!-- wp:search {"label":"Search","showLabel":false,"placeholder":"<?php _e("Type and press Enter", "ncmaz-fse"); ?>","buttonText":"Search","buttonPosition":"button-inside","buttonUseIcon":true,"style":{"border":{"radius":"8px","width":"0px","style":"none"},"layout":{"selfStretch":"fill","flexSize":null}}} /-->
            </div>
            <!-- /wp:group -->

            <!-- wp:paragraph {"align":"center","fontSize":"sm"} -->
            <p class="has-text-align-center has-sm-font-size">
                <?php _e('Recommended searches', 'ncmaz-fse') ?>:
                <a href="?s=programming">Programming</a>,
                <a href="?s=design">Design</a>, <a href="?s=tech">Technology</a>
            </p>
            <!-- /wp:paragraph -->
        </div>
        <!-- /wp:group -->
    </div>
    <!-- /wp:group -->

    <!-- wp:spacer {"height":"48px"} -->
    <div style="height: 48px" aria-hidden="true" class="wp-block-spacer"></div>
    <!-- /wp:spacer -->

    <!-- wp:group {"align":"wide","layout":{"type":"constrained"}} -->
    <div class="wp-block-group alignwide">
        <!-- wp:group {"align":"wide","layout":{"type":"flex","flexWrap":"wrap","verticalAlignment":"bottom"}} -->
        <div class="wp-block-group alignwide">
            <!-- wp:query-title {"type":"search","align":"wide","style":{"typography":{"lineHeight":"1"}},"fontSize":"2xl"} /-->

            <!-- wp:group {"style":{"layout":{"selfStretch":"fill","flexSize":null}},"layout":{"type":"default"}} -->
            <div class="wp-block-group">
                <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|3-5"}},"layout":{"type":"flex","flexWrap":"wrap","justifyContent":"right"}} -->
                <div class="wp-block-group">
                    <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|3-5"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
                    <div class="wp-block-group">
                        <!-- wp:pattern {"slug":"ncmaz-fse/dropdown-categories"} /-->
                        <!-- wp:pattern {"slug":"ncmaz-fse/dropdown-tags"} /-->
                    </div>
                    <!-- /wp:group -->

                    <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border-darker"}}}},"textColor":"shadcn-border-darker","fontSize":"xl"} -->
                    <p
                        class="has-shadcn-border-darker-color has-text-color has-link-color has-xl-font-size">
                        /
                    </p>
                    <!-- /wp:paragraph -->

                    <!-- wp:pattern {"slug":"ncmaz-fse/dropdown-filter-search-page"} /-->

                </div>
                <!-- /wp:group -->
            </div>
            <!-- /wp:group -->
        </div>
        <!-- /wp:group -->


        <!-- wp:pattern {"slug":"ncmaz-fse/posts-1-grid"} /-->

    </div>
    <!-- /wp:group -->

    <!-- wp:spacer {"height":"8px"} -->
    <div style="height: 8px" aria-hidden="true" class="wp-block-spacer"></div>
    <!-- /wp:spacer -->

    <!-- wp:separator {"align":"wide","backgroundColor":"shadcn-border"} -->
    <hr
        class="wp-block-separator alignwide has-text-color has-shadcn-border-color has-alpha-channel-opacity has-shadcn-border-background-color has-background" />
    <!-- /wp:separator -->

    <!-- wp:spacer {"height":"28px"} -->
    <div style="height: 28px" aria-hidden="true" class="wp-block-spacer"></div>
    <!-- /wp:spacer -->

    <!-- wp:pattern {"slug":"ncmaz-fse/image-with-text-1"} /-->

    <!-- wp:spacer {"height":"48px"} -->
    <div style="height: 48px" aria-hidden="true" class="wp-block-spacer"></div>
    <!-- /wp:spacer -->
</main>
<!-- /wp:group -->