<?php

/**
 * Title: Contact
 * Slug: ncmaz-fse/page-contact
 * Categories: ncmaz_fse_page
 * Keywords: starter
 * Block Types: core/post-content
 * Post Types: page, wp_template
 * Viewport width: 1400
 * Description: A business about page with a hero section, a text section, a services section, a team section, a clients section, a FAQ section, and a CTA section.
 */
?>

<!-- wp:group {"style":{"spacing":{"margin":{"top":"0","bottom":"0"},"padding":{"top":"var:preset|spacing|16","bottom":"var:preset|spacing|16"}}},"layout":{"type":"constrained"}} -->
<div class="wp-block-group" style="margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--16);padding-bottom:var(--wp--preset--spacing--16)"><!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|10"}},"layout":{"type":"constrained","justifyContent":"left"}} -->
    <div class="wp-block-group"><!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|4"}},"layout":{"type":"constrained"}} -->
        <div class="wp-block-group"><!-- wp:heading {"level":1,"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}},"fontSize":"x-large"} -->
            <h1 class="wp-block-heading has-x-large-font-size" style="font-style:normal;font-weight:600">
                <?php _e('Get in touch', 'ncmaz-fse'); ?>
            </h1>
            <!-- /wp:heading -->

            <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-muted-foreground"}}}},"textColor":"shadcn-muted-foreground","fontSize":"lg"} -->
            <p class="has-shadcn-muted-foreground-color has-text-color has-link-color has-lg-font-size">
                <?php _e('We want to provide you with a great experience which is why we want to hear from you. Your feedback helps us bring you more of the events you love and the service you expect.', 'ncmaz-fse'); ?>
            </p>
            <!-- /wp:paragraph -->
        </div>
        <!-- /wp:group -->

        <!-- wp:separator {"align":"wide"} -->
        <hr class="wp-block-separator alignwide has-alpha-channel-opacity" />
        <!-- /wp:separator -->

        <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|8"}},"layout":{"type":"flex","orientation":"vertical"}} -->
        <div class="wp-block-group"><!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|5"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
            <div class="wp-block-group"><!-- wp:heading {"level":3,"fontSize":"2xl"} -->
                <h3 class="wp-block-heading has-2-xl-font-size">
                    <?php _e('📍 ADDRESS', 'ncmaz-fse'); ?>
                </h3>
                <!-- /wp:heading -->

                <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border"}}}},"textColor":"shadcn-border","fontSize":"base"} -->
                <p class="has-shadcn-border-color has-text-color has-link-color has-base-font-size">/</p>
                <!-- /wp:paragraph -->

                <!-- wp:paragraph -->
                <p>123 Main Street, New York, NY 10001</p>
                <!-- /wp:paragraph -->
            </div>
            <!-- /wp:group -->

            <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|5"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
            <div class="wp-block-group"><!-- wp:heading {"level":3,"fontSize":"2xl"} -->
                <h3 class="wp-block-heading has-2-xl-font-size">
                    <?php _e('💌 EMAIL', 'ncmaz-fse'); ?>
                </h3>
                <!-- /wp:heading -->

                <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border"}}}},"textColor":"shadcn-border","fontSize":"base"} -->
                <p class="has-shadcn-border-color has-text-color has-link-color has-base-font-size">/</p>
                <!-- /wp:paragraph -->

                <!-- wp:paragraph -->
                <p>example@example.com</p>
                <!-- /wp:paragraph -->
            </div>
            <!-- /wp:group -->

            <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|5"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
            <div class="wp-block-group"><!-- wp:heading {"level":3,"fontSize":"2xl"} -->
                <h3 class="wp-block-heading has-2-xl-font-size">
                    <?php _e('📞 PHONE', 'ncmaz-fse'); ?>
                </h3>
                <!-- /wp:heading -->

                <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border"}}}},"textColor":"shadcn-border","fontSize":"base"} -->
                <p class="has-shadcn-border-color has-text-color has-link-color has-base-font-size">/</p>
                <!-- /wp:paragraph -->

                <!-- wp:paragraph -->
                <p>+88 123 456 789</p>
                <!-- /wp:paragraph -->
            </div>
            <!-- /wp:group -->

            <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|5"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
            <div class="wp-block-group"><!-- wp:heading {"level":3,"fontSize":"2xl"} -->
                <h3 class="wp-block-heading has-2-xl-font-size">
                    <?php _e('🕒 WORKING HOURS', 'ncmaz-fse'); ?>
                </h3>
                <!-- /wp:heading -->

                <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border"}}}},"textColor":"shadcn-border","fontSize":"base"} -->
                <p class="has-shadcn-border-color has-text-color has-link-color has-base-font-size">/</p>
                <!-- /wp:paragraph -->

                <!-- wp:paragraph -->
                <p>Mon - Fri: 9:00 - 19:00</p>
                <!-- /wp:paragraph -->
            </div>
            <!-- /wp:group -->

            <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|5"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
            <div class="wp-block-group"><!-- wp:heading {"level":3,"fontSize":"2xl"} -->
                <h3 class="wp-block-heading has-2-xl-font-size">
                    <?php _e('👋 SOCIALS', 'ncmaz-fse'); ?>
                </h3>
                <!-- /wp:heading -->

                <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border"}}}},"textColor":"shadcn-border","fontSize":"base"} -->
                <p class="has-shadcn-border-color has-text-color has-link-color has-base-font-size">/</p>
                <!-- /wp:paragraph -->

                <!-- wp:social-links {"size":"has-normal-icon-size","className":"is-style-logos-only","style":{"spacing":{"blockGap":{"top":"var:preset|spacing|4","left":"var:preset|spacing|4"}}}} -->
                <ul class="wp-block-social-links has-normal-icon-size is-style-logos-only"><!-- wp:social-link {"url":"#","service":"facebook"} /-->

                    <!-- wp:social-link {"url":"#","service":"x"} /-->

                    <!-- wp:social-link {"url":"#","service":"threads"} /-->

                    <!-- wp:social-link {"url":"#","service":"tiktok"} /-->
                </ul>
                <!-- /wp:social-links -->
            </div>
            <!-- /wp:group -->
        </div>
        <!-- /wp:group -->
    </div>
    <!-- /wp:group -->
</div>
<!-- /wp:group -->