<?php

/**
 * Title: Reading list
 * Slug: ncmaz-fse/page-reading-list
 * Categories: ncmaz_fse_page, featured
 * Keywords: starter
 * Block Types: core/post-content
 * Post Types: page, wp_template
 * Viewport width: 1400
 * Description: A page for displaying a reading list with saved articles.
 */
?>

<!-- wp:spacer {"height":"var:preset|spacing|14"} -->
<div style="height:var(--wp--preset--spacing--14)" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer -->

<!-- wp:group {"tagName":"main","align":"full","style":{"spacing":{"margin":{"top":"0","bottom":"0"},"blockGap":"0"}},"layout":{"type":"constrained"}} -->
<main
  class="wp-block-group alignfull"
  style="
    margin-top: 0;
    margin-bottom: 0;
  ">
  <!-- wp:group {"align":"wide","style":{"spacing":{"blockGap":"var:preset|spacing|5","padding":{"top":"var:preset|spacing|2-5"}}},"layout":{"type":"constrained","justifyContent":"left"}} -->
  <div
    class="wp-block-group alignwide"
    style="padding-top: var(--wp--preset--spacing--2-5)">
    <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|4"}},"layout":{"type":"flex","flexWrap":"wrap"}} -->
    <div class="wp-block-group">
      <!-- wp:outermost/icon-block {"iconName":"","iconColor":"contrast-2","iconColorValue":"hsl(215 13.8% 34.1%)","hasNoIconFill":true,"width":"34px"} -->
      <div class="wp-block-outermost-icon-block">
        <div
          class="icon-container has-icon-color has-no-icon-fill-color has-contrast-2-color"
          style="color: hsl(215 13.8% 34.1%); width: 34px">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            viewBox="0 0 24 24"
            width="24"
            height="24"
            color="#000000"
            fill="none">
            <path
              d="M16.9017 6.12874C18 7.25748 18 9.07416 18 12.7075V14.2925C18 17.9258 18 19.7425 16.9017 20.8713C15.8033 22 14.0355 22 10.5 22C6.96447 22 5.1967 22 4.09835 20.8713C3 19.7425 3 17.9258 3 14.2925V12.7075C3 9.07416 3 7.25748 4.09835 6.12874C5.1967 5 6.96447 5 10.5 5C14.0355 5 15.8033 5 16.9017 6.12874Z"
              stroke="currentColor"
              stroke-width="1.5"
              stroke-linecap="round"
              stroke-linejoin="round"></path>
            <path
              d="M7.5 5.5V10.3693C7.5 11.3046 7.5 11.7722 7.78982 11.9396C8.35105 12.2638 9.4038 11.1823 9.90375 10.8567C10.1937 10.6678 10.3387 10.5734 10.5 10.5734C10.6613 10.5734 10.8063 10.6678 11.0962 10.8567C11.5962 11.1823 12.6489 12.2638 13.2102 11.9396C13.5 11.7722 13.5 11.3046 13.5 10.3693V5.5"
              stroke="currentColor"
              stroke-width="1.5"
              stroke-linecap="round"
              stroke-linejoin="round"></path>
            <path
              d="M9 2H11C15.714 2 18.0711 2 19.5355 3.46447C21 4.92893 21 7.28595 21 12V18"
              stroke="currentColor"
              stroke-width="1.5"
              stroke-linecap="round"
              stroke-linejoin="round"></path>
          </svg>
        </div>
      </div>
      <!-- /wp:outermost/icon-block -->

      <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border-darker"}}}},"textColor":"shadcn-border-darker"} -->
      <p class="has-shadcn-border-darker-color has-text-color has-link-color">
        /
      </p>
      <!-- /wp:paragraph -->

      <!-- wp:heading {"level":1,"className":"is-style-default","style":{"typography":{"fontStyle":"normal","fontWeight":"600"}},"fontSize":"4xl"} -->
      <h1
        class="wp-block-heading is-style-default has-4-xl-font-size"
        style="font-style: normal; font-weight: 600">
        <?php _e('Reading list', 'ncmaz-fse') ?>
      </h1>
      <!-- /wp:heading -->
    </div>
    <!-- /wp:group -->

    <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-muted-foreground"}}}},"textColor":"shadcn-muted-foreground"} -->
    <p class="has-shadcn-muted-foreground-color has-text-color has-link-color">
      <?php echo wp_kses_post(__('The collection of articles you have saved to read later. Save time searching, <br /> easily access important information anytime.', 'ncmaz-fse')); ?>
    </p>
    <!-- /wp:paragraph -->
  </div>
  <!-- /wp:group -->

  <!-- wp:separator {"align":"wide","style":{"spacing":{"margin":{"top":"var:preset|spacing|12","bottom":"var:preset|spacing|12"}}}} -->
  <hr
    class="wp-block-separator alignwide has-alpha-channel-opacity"
    style="
      margin-top: var(--wp--preset--spacing--12);
      margin-bottom: var(--wp--preset--spacing--12);
    " />
  <!-- /wp:separator -->

  <!-- wp:query {"query":{"pages":0,"offset":"0","postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":false},"metadata":{"categories":["posts"]},"showUserSavedPosts":true,"align":"wide","layout":{"type":"default"}} -->
  <div class="wp-block-query alignwide">

    <!-- wp:query-no-results  -->
    <!-- wp:pattern {"slug":"ncmaz-fse/hidden-no-results"} /-->
    <!-- /wp:query-no-results -->

    <!-- wp:group {"style":{"spacing":{"padding":{"top":"var:preset|spacing|2-5","bottom":"1.5rem","left":"0","right":"0"},"margin":{"top":"0","bottom":"0"},"blockGap":"0"}},"layout":{"type":"default"}} -->
    <div
      class="wp-block-group"
      style="
        margin-top: 0;
        margin-bottom: 0;
        padding-top: var(--wp--preset--spacing--2-5);
        padding-right: 0;
        padding-bottom: 1.5rem;
        padding-left: 0;
      ">
      <!-- wp:post-template {"align":"full","layout":{"type":"grid","columnCount":null,"minimumColumnWidth":"16rem"}} -->

      <!-- wp:pattern {"slug":"ncmaz-fse/post-card-1"} /-->

      <!-- /wp:post-template -->

      <!-- wp:query-pagination {"paginationArrow":"arrow","style":{"spacing":{"padding":{"top":"var:preset|spacing|20"}}},"layout":{"type":"flex","justifyContent":"center"}} -->
      <!-- wp:query-pagination-previous /-->

      <!-- wp:query-pagination-numbers /-->

      <!-- wp:query-pagination-next /-->
      <!-- /wp:query-pagination -->
    </div>
    <!-- /wp:group -->
  </div>
  <!-- /wp:query -->

  <!-- wp:separator {"align":"wide","style":{"spacing":{"margin":{"top":"var:preset|spacing|14","bottom":"var:preset|spacing|20"}}},"backgroundColor":"shadcn-border"} -->
  <hr
    class="wp-block-separator alignwide has-text-color has-shadcn-border-color has-alpha-channel-opacity has-shadcn-border-background-color has-background"
    style="margin-top: var(--wp--preset--spacing--14); margin-bottom: var(--wp--preset--spacing--20)" />
  <!-- /wp:separator -->

  <!-- wp:pattern {"slug":"ncmaz-fse/image-with-text-1"} /-->

</main>
<!-- /wp:group -->

<!-- wp:spacer {"height":"var:preset|spacing|14"} -->
<div style="height:var(--wp--preset--spacing--14)" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer -->