<?php

/**
 * Title: Page Wishlist
 * Slug: ncmaz-fse/page-wishlist
 * Categories: ncmaz_fse_page, featured
 * Keywords: starter
 * Block Types: core/post-content
 * Post Types: page, wp_template
 * Viewport width: 1400
 * Description: A page for displaying a reading list of wishlist articles.
 */
?>

<!-- wp:spacer {"height":"var:preset|spacing|14"} -->
<div style="height:var(--wp--preset--spacing--14)" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer -->

<!-- wp:group {"tagName":"main","align":"full","style":{"spacing":{"margin":{"top":"0","bottom":"0"},"blockGap":"0"}},"layout":{"type":"constrained"}} -->
<main
  class="wp-block-group alignfull"
  style="
    margin-top: 0;
    margin-bottom: 0;
  ">
  <!-- wp:group {"align":"wide","style":{"spacing":{"blockGap":"var:preset|spacing|5","padding":{"top":"var:preset|spacing|2-5"}}},"layout":{"type":"constrained","justifyContent":"left"}} -->
  <div
    class="wp-block-group alignwide"
    style="padding-top: var(--wp--preset--spacing--2-5)">
    <!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|4"}},"layout":{"type":"flex","flexWrap":"wrap"}} -->
    <div class="wp-block-group">
      <!-- wp:outermost/icon-block {"iconName":"","customIconColor":"#fe5a5a","iconColorValue":"#fe5a5a","hasNoIconFill":true,"width":"34px"} -->
      <div class="wp-block-outermost-icon-block">
        <div
          class="icon-container has-icon-color has-no-icon-fill-color"
          style="color: #fe5a5a; width: 34px">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            viewBox="0 0 24 24"
            width="24"
            height="24"
            color="#000000"
            fill="none">
            <path
              d="M19.4626 3.99415C16.7809 2.34923 14.4404 3.01211 13.0344 4.06801C12.4578 4.50096 12.1696 4.71743 12 4.71743C11.8304 4.71743 11.5422 4.50096 10.9656 4.06801C9.55962 3.01211 7.21909 2.34923 4.53744 3.99415C1.01807 6.15294 0.221721 13.2749 8.33953 19.2834C9.88572 20.4278 10.6588 21 12 21C13.3412 21 14.1143 20.4278 15.6605 19.2834C23.7783 13.2749 22.9819 6.15294 19.4626 3.99415Z"
              stroke="currentColor"
              stroke-width="1.5"
              stroke-linecap="round"></path>
          </svg>
        </div>
      </div>
      <!-- /wp:outermost/icon-block -->

      <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-border-darker"}}}},"textColor":"shadcn-border-darker"} -->
      <p class="has-shadcn-border-darker-color has-text-color has-link-color">
        /
      </p>
      <!-- /wp:paragraph -->

      <!-- wp:heading {"level":1,"className":"is-style-default","style":{"typography":{"fontStyle":"normal","fontWeight":"600"}},"fontSize":"4xl"} -->
      <h1
        class="wp-block-heading is-style-default has-4-xl-font-size"
        style="font-style: normal; font-weight: 600">
        <?php _e('Wishlist', 'ncmaz-fse') ?>
      </h1>
      <!-- /wp:heading -->
    </div>
    <!-- /wp:group -->

    <!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|shadcn-muted-foreground"}}}},"textColor":"shadcn-muted-foreground"} -->
    <p class="has-shadcn-muted-foreground-color has-text-color has-link-color">
      <?php echo wp_kses_post(__('The collection of your favorite articles. Rediscover creative ideas, touching stories, <br /> and valuable lessons whenever you want.', 'ncmaz-fse')); ?>
    </p>
    <!-- /wp:paragraph -->
  </div>
  <!-- /wp:group -->

  <!-- wp:separator {"align":"wide","style":{"spacing":{"margin":{"top":"var:preset|spacing|12","bottom":"var:preset|spacing|12"}}}} -->
  <hr
    class="wp-block-separator alignwide has-alpha-channel-opacity"
    style="
      margin-top: var(--wp--preset--spacing--12);
      margin-bottom: var(--wp--preset--spacing--12);
    " />
  <!-- /wp:separator -->

  <!-- wp:query {"query":{"pages":0,"offset":"0","postType":"post","order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"","inherit":false},"metadata":{"categories":["posts"]},"showUserLikedPosts":true,"align":"wide","layout":{"type":"default"}} -->
  <div class="wp-block-query alignwide">

    <!-- wp:query-no-results  -->
    <!-- wp:pattern {"slug":"ncmaz-fse/hidden-no-results"} /-->
    <!-- /wp:query-no-results -->

    <!-- wp:group {"style":{"spacing":{"padding":{"top":"var:preset|spacing|2-5","bottom":"1.5rem","left":"0","right":"0"},"margin":{"top":"0","bottom":"0"},"blockGap":"0"}},"layout":{"type":"default"}} -->
    <div
      class="wp-block-group"
      style="
        margin-top: 0;
        margin-bottom: 0;
        padding-top: var(--wp--preset--spacing--2-5);
        padding-right: 0;
        padding-bottom: 1.5rem;
        padding-left: 0;
      ">
      <!-- wp:post-template {"align":"full","layout":{"type":"grid","columnCount":null,"minimumColumnWidth":"16rem"}} -->

      <!-- wp:pattern {"slug":"ncmaz-fse/post-card-1"} /-->

      <!-- /wp:post-template -->

      <!-- wp:query-pagination {"paginationArrow":"arrow","style":{"spacing":{"padding":{"top":"var:preset|spacing|20"}}},"layout":{"type":"flex","justifyContent":"center"}} -->
      <!-- wp:query-pagination-previous /-->

      <!-- wp:query-pagination-numbers /-->

      <!-- wp:query-pagination-next /-->
      <!-- /wp:query-pagination -->
    </div>
    <!-- /wp:group -->
  </div>
  <!-- /wp:query -->

  <!-- wp:separator {"align":"wide","style":{"spacing":{"margin":{"top":"var:preset|spacing|14","bottom":"var:preset|spacing|20"}}},"backgroundColor":"shadcn-border"} -->
  <hr
    class="wp-block-separator alignwide has-text-color has-shadcn-border-color has-alpha-channel-opacity has-shadcn-border-background-color has-background"
    style="margin-top: var(--wp--preset--spacing--14); margin-bottom: var(--wp--preset--spacing--20)" />
  <!-- /wp:separator -->

  <!-- wp:pattern {"slug":"ncmaz-fse/image-with-text-1"} /-->

</main>
<!-- /wp:group -->

<!-- wp:spacer {"height":"var:preset|spacing|14"} -->
<div style="height:var(--wp--preset--spacing--14)" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer -->