<?php

/**
 * Title:  Stay Up To Date Form
 * Slug: ncmaz-fse/stay-up-to-date-form
 * Categories: form, featured
 * Description: Stay up to date with the latest news and updates from NCMaz.
 */
?>

<!-- wp:group {"metadata":{"name":"Stay up to date form"},"style":{"border":{"radius":"18px","width":"1px"},"spacing":{"blockGap":"0"},"layout":{"selfStretch":"fixed","flexSize":"400px"}},"backgroundColor":"base-2","borderColor":"shadcn-border","layout":{"type":"default"}} -->
<div class="wp-block-group has-border-color has-shadcn-border-border-color has-base-2-background-color has-background" style="border-width:1px;border-radius:18px"><!-- wp:group {"style":{"spacing":{"padding":{"top":"var:preset|spacing|4","bottom":"var:preset|spacing|4","left":"var:preset|spacing|4","right":"var:preset|spacing|4"},"blockGap":"var:preset|spacing|3"},"border":{"bottom":{"color":"var:preset|color|shadcn-border","width":"1px"}}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
    <div class="wp-block-group" style="border-bottom-color:var(--wp--preset--color--shadcn-border);border-bottom-width:1px;padding-top:var(--wp--preset--spacing--4);padding-right:var(--wp--preset--spacing--4);padding-bottom:var(--wp--preset--spacing--4);padding-left:var(--wp--preset--spacing--4)">
        <!-- wp:outermost/icon-block {"iconName":"","width":"20px"} -->
        <div class="wp-block-outermost-icon-block">
            <div class="icon-container" style="width:20px;transform:rotate(0deg) scaleX(1) scaleY(1)"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" color="#000000" fill="none">
                    <path d="M2 6L8.91302 9.91697C11.4616 11.361 12.5384 11.361 15.087 9.91697L22 6" stroke="currentColor" stroke-width="1.5" stroke-linejoin="round"></path>
                    <path d="M2.01577 13.4756C2.08114 16.5412 2.11383 18.0739 3.24496 19.2094C4.37608 20.3448 5.95033 20.3843 9.09883 20.4634C11.0393 20.5122 12.9607 20.5122 14.9012 20.4634C18.0497 20.3843 19.6239 20.3448 20.7551 19.2094C21.8862 18.0739 21.9189 16.5412 21.9842 13.4756C22.0053 12.4899 22.0053 11.5101 21.9842 10.5244C21.9189 7.45886 21.8862 5.92609 20.7551 4.79066C19.6239 3.65523 18.0497 3.61568 14.9012 3.53657C12.9607 3.48781 11.0393 3.48781 9.09882 3.53656C5.95033 3.61566 4.37608 3.65521 3.24495 4.79065C2.11382 5.92608 2.08114 7.45885 2.01576 10.5244C1.99474 11.5101 1.99475 12.4899 2.01577 13.4756Z" stroke="currentColor" stroke-width="1.5" stroke-linejoin="round"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->

        <!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"500"}},"fontSize":"sm"} -->
        <p class="has-sm-font-size" style="font-style:normal;font-weight:500">
            <?php _e('Stay up to date', 'ncmaz-fse') ?>
        </p>
        <!-- /wp:paragraph -->
    </div>
    <!-- /wp:group -->

    <!-- wp:group {"style":{"spacing":{"padding":{"top":"var:preset|spacing|4","bottom":"var:preset|spacing|4","left":"var:preset|spacing|5","right":"var:preset|spacing|5"},"blockGap":"var:preset|spacing|4"}},"layout":{"type":"default"}} -->
    <div class="wp-block-group" style="padding-top:var(--wp--preset--spacing--4);padding-right:var(--wp--preset--spacing--5);padding-bottom:var(--wp--preset--spacing--4);padding-left:var(--wp--preset--spacing--5)"><!-- wp:paragraph {"style":{"elements":{"link":{"color":{"text":"var:preset|color|contrast-2"}}}},"textColor":"contrast-2","fontSize":"sm"} -->
        <p class="has-contrast-2-color has-text-color has-link-color has-sm-font-size">
            <?php _e(' Get notified when I publish something new, and unsubscribe at any time.', 'ncmaz-fse') ?>
        </p>
        <!-- /wp:paragraph -->

        <!-- wp:ncmfse/mailpoet-subscription-form {"mailpoetListId":"3","submitButtonStyle":"inline-email-input","inputRadius":12,"style":{"spacing":{"blockGap":"var:preset|spacing|2"}},"layout":{"type":"default"}} -->
        <!-- wp:outermost/icon-block {"itemsJustification":"center","iconBackgroundColorValue":"#000000","iconColorValue":"#ffffff","hasNoIconFill":true,"width":"36px","style":{"border":{"radius":"99px"},"spacing":{"padding":"8px"}}} -->
        <div class="wp-block-outermost-icon-block items-justified-center">
            <div class="icon-container has-icon-color has-no-icon-fill-color has-icon-background-color" style="background-color:#000000;color:#ffffff;width:36px;padding:8px;border-radius:99px;transform:rotate(0deg) scaleX(1) scaleY(1)"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M13.5 4.5 21 12m0 0-7.5 7.5M21 12H3"></path>
                </svg></div>
        </div>
        <!-- /wp:outermost/icon-block -->
        <!-- /wp:ncmfse/mailpoet-subscription-form -->
    </div>
    <!-- /wp:group -->
</div>
<!-- /wp:group -->