<?php

/**
 * Register the required plugins for this theme.
 *
 * This function is hooked into `tgmpa_register`, which is fired on the WP `init` action on priority 10.
 */

require_once get_template_directory()  . '/class-tgm-plugin-activation.php';

if (!function_exists('ncmaz_fse_register_required_plugins')) :
	function ncmaz_fse_register_required_plugins()
	{
		$plugins = [
			// A WordPress.org plugin repository example.
			[
				'name'     	=> 'WooCommerce',
				'slug'     	=> 'woocommerce',
				'required' 	=> false,
			],
			[
				'name'     	=> 'Advanced Custom Fields',
				'slug'     	=> 'advanced-custom-fields',
				'required' 	=> true,
			],
			[
				'name'     	=> 'Block Visibility',
				'slug'     	=> 'block-visibility',
				'required' 	=> true,
			],
			[
				'name'     	=> 'Light Modal Block',
				'slug'     	=> 'light-modal-block',
				'required' 	=> true,
			],
			[
				'name'     	=> 'MailPoet',
				'slug'     	=> 'mailpoet',
				'required' 	=> false,
			],
			[
				'name'     	=> 'Simple Local Avatars',
				'slug'     	=> 'simple-local-avatars',
				'required' 	=> false,
			],
			[
				'name'     	=> 'Social Sharing Block',
				'slug'     	=> 'social-sharing-block',
				'required' 	=> true,
			],
			[
				'name'     	=> 'The Icon Block',
				'slug'     	=> 'icon-block',
				'required' 	=> true,
			],
			// A locally theme bundled plugin example.
			[
				'name'     	=> 'Ncmaz FSE Core',
				'slug'     	=> 'ncmaz-fse-core',
				'source'   	=> get_template_directory() . '/bundled-plugins/ncmaz-fse-core.zip',
				'required' 	=> true,
				'version' 	=> '1.4.3',
			],

		];

		$config = [
			'id'           => 'ncmazfsetgmpa',
			'default_path' => '',
			'menu'         => 'tgmpa-install-plugins',
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                   // Automatically activate plugins after installation or not.
			'message'      => '<div style="background:#fff;  padding: 20px; border: 2px solid #7c3aed; border-radius: 10px;"><h4>In case you cannot install/activate these plugins in bulk then please install/activate each plugin individually.</h4>
			</div>',
		];

		tgmpa($plugins, $config);
	}
	add_action('tgmpa_register', 'ncmaz_fse_register_required_plugins');
endif;
